## org.eclipse.datatools.connectivity
Interface IConnectionProfileMigrator

All Known Implementing Classes:
  ConnectionProfileMigratorBase

    public interface IConnectionProfileMigrator

Interface used by the connection profile framework which allows providers to hook into profile loading for migration purposes. Extenders may use this facility to update existing profiles to conform with updated provider implementations. This interface should not be directly implemented. Instead, adopters should extend `ConnectionProfileMigratorBase`. This API is provisional.

Author:
  rcernich Created on Apr 5, 2007

Method Summary
`java.lang.String` `getNewProviderID()`
`void` `performMigration(IConnectionProfile profile)` This method is invoked by the framework when a connection profile of the migration extension's sourceProfile type has been loaded.

Method Detail

### performMigration

    void performMigration(IConnectionProfile profile)

  This method is invoked by the framework when a connection profile of the migration extension's sourceProfile type has been loaded. At this point, only the profile's provider ID has been updated (to the value in targetProfile).

  Parameters:
    `profile` - the connection profile to migrate.

### getNewProviderID

    java.lang.String getNewProviderID()

  Returns:
    the ID of the new provider; null if the provider has not changed.